package io.dekorate.halkyon.model;

import io.dekorate.deps.kubernetes.api.builder.Function;
import io.dekorate.deps.kubernetes.api.model.Doneable;

public class DoneableLinkStatus extends LinkStatusFluentImpl<DoneableLinkStatus> implements Doneable<LinkStatus>{

    private final LinkStatusBuilder builder;
    private final Function<LinkStatus,LinkStatus> function;

    public DoneableLinkStatus(Function<LinkStatus,LinkStatus> function){
            super();this.builder=new LinkStatusBuilder(this);this.function=function;
    }
    public DoneableLinkStatus(LinkStatus item,Function<LinkStatus,LinkStatus> function){
            super(item);this.builder=new LinkStatusBuilder(this, item);this.function=function;
    }
    public DoneableLinkStatus(LinkStatus item){
            super(item);this.builder=new LinkStatusBuilder(this, item);this.function=new Function<LinkStatus, LinkStatus>() {
    public LinkStatus apply(LinkStatus item) {
        return item;
    }
}
;
    }

    public LinkStatus done(){
             return function.apply(builder.build());
    }




}
