package io.dekorate.halkyon.model;

import java.lang.StringBuffer;
import io.dekorate.deps.jackson.annotation.JsonProperty;
import java.lang.StringBuilder;
import io.dekorate.deps.kubernetes.api.builder.BaseFluent;
import java.lang.Object;
import java.lang.String;
import java.lang.Boolean;

public class LinkStatusFluentImpl<A extends LinkStatusFluent<A>> extends BaseFluent<A> implements LinkStatusFluent<A>{

    private String phase;

    public LinkStatusFluentImpl(){
    }
    public LinkStatusFluentImpl(LinkStatus instance){
            this.withPhase(instance.getPhase()); 
    }

    public String getPhase(){
            return this.phase;
    }

    public A withPhase(String phase){
            this.phase=phase; return (A) this;
    }

    public Boolean hasPhase(){
            return this.phase != null;
    }

    public A withNewPhase(String arg1){
            return (A)withPhase(new String(arg1));
    }

    public A withNewPhase(StringBuilder arg1){
            return (A)withPhase(new String(arg1));
    }

    public A withNewPhase(StringBuffer arg1){
            return (A)withPhase(new String(arg1));
    }

    public boolean equals(Object o){
            if (this == o) return true;
            if (o == null || getClass() != o.getClass()) return false;
            LinkStatusFluentImpl that = (LinkStatusFluentImpl) o;
            if (phase != null ? !phase.equals(that.phase) :that.phase != null) return false;
            return true;
    }




}
